<form class="flex flex-layout">
    <div class="form-group">
        <button ng-click="VM.toggleSearch()"
                class="btn btn-info btn-sm"
        ><i class="fa fa-check"></i> {{'OK'|translate}}</button>
        <button ng-click="VM.search.reset()"
                class="btn btn-default btn-sm"
        ><i class="fa fa-eraser"></i> {{'RESET_SEARCH'|translate}}</button>
    </div>
    <div class="row">
        <MY-INPUT my-input-type="text"
                  my-input-model="VM.search.id"
                  my-input-label="ID"
                  class="col-xs-2"
        ></MY-INPUT>
        <MY-INPUT my-input-type="text"
                  my-input-model="VM.search.title"
                  my-input-label="TITLE"
                  class="col-xs-10"
        ></MY-INPUT>
    </div>
    <div class="row">
        <MY-INPUT-GROUP my-input-group-label="DIFFICULTY"
                        class="col-xs-4"
        >
            <div class="flex-layout-h">
                <input type="number" min="0" max="1" step="0.1"
                       ng-model="VM.search.difficulty_min"
                       class="form-control col-xs-6 flex"
                />
                <input type="number" min="0" max="1" step="0.1"
                       ng-model="VM.search.difficulty_max"
                       class="form-control col-xs-6 flex"
                />
            </div>
        </MY-INPUT-GROUP>
        <MY-INPUT my-input-type="text"
                  my-input-model="VM.search.author"
                  my-input-label="AUTHOR"
                  class="col-xs-8"
        ></MY-INPUT>
    </div>
    <div class="row">
        <MY-INPUT my-input-type="select"
                  my-input-model="VM.search.resolved"
                  my-input-options="o.val as o.name | translate for o in VM.resolved_options"
                  my-input-label="{{'RESOLVED'|translate}}?"
                  class="col-xs-6"
        ></MY-INPUT>
        <MY-INPUT my-input-type="select"
                  my-input-model="VM.search.dirty"
                  my-input-options="o.val as o.name | translate for o in VM.dirty_options"
                  my-input-label="{{'DIRTYF'|translate}}?"
                  class="col-xs-6"
        ></MY-INPUT>
    </div>
    <MY-INPUT my-input-type="select"
              my-input-multiple
              my-input-model="VM.search.categories"
              my-input-options="c.id as c.descripcio for c in VM.categories"
              my-input-label="CATEGORIES"
              class="search-multi flex flex-layout"
    ></MY-INPUT>
    <MY-INPUT my-input-type="select"
              my-input-multiple
              my-input-model="VM.search.thematics"
              my-input-options="th.id as th.nombre for th in VM.thematics"
              my-input-label="THEMATICS"
              class="search-multi flex flex-layout"
    ></MY-INPUT>
    <MY-INPUT my-input-type="select"
              my-input-multiple
              my-input-model="VM.search.schemas"
              my-input-options="schema.id as schema.nombre for schema in VM.schemas"
              my-input-label="SCHEMAS"
              class="search-multi flex flex-layout"
    ></MY-INPUT>
</form>
